
U++ - Bug #1854

CParser::NoSkipComments() 

03/07/2018 06:28 PM - Abdelghani Omari

Status: Approved Start date: 03/07/2018

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: Release 2019.1 Spent time: 0.00 hour

Description

a probleme occure when CParser::NoSkipComments() is called before term initialisation.

here a test case:

void TestCParser() {

    String tpl = " same text ";

    CParser p;

    p.NoSkipComments();

    p.Set(tpl);

}

NoSkipComments() calls SkipComment(false). IMO it shouldn't.

History

#1 - 03/26/2018 07:22 PM - Abdelghani Omari

- Target version set to Release 2018.1

#2 - 03/29/2018 06:52 PM - Abdelghani Omari

- Description updated

#3 - 04/03/2018 10:01 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 to Release 2019.1

#4 - 04/23/2018 07:46 PM - Abdelghani Omari

- Status changed from New to Approved
